Mailinglist Archive: opensuse-bugs (2150 mails)

< Previous Next >
[Bug 873680] KDE uses outdated certificates

https://bugzilla.novell.com/show_bug.cgi?id=873680

https://bugzilla.novell.com/show_bug.cgi?id=873680#c6


--- Comment #6 from Raymond Wooninck <tittiatcoke@xxxxxxxxx> 2014-04-15
15:44:03 UTC ---
I have validated the situation with KDE upstream and it seems that KSSL is
relying on Qt functions which in their turn are working with openSSL as the
backend. So in the end it drips down to openSSL to determine which certificates
to use.

It is a known fact that the functionality provided by KSSL is limited and the
GUI part in systemsettings (Configure Desktop) does not really allow to add new
certificates to be added by the user. It just stores them in a place where KDE
can reach them. Let's hope that this is going to be improved with
KDE:Frameworks.

@Rudi, Thank you for the new SR. This doesn't make my first decline that
stupid, right. The new solution is quite different than just starting to link
files. That is why I put in the decline that we should first discuss on the
bugreport what the correct way is to resolve it. So I thought about it before
declining and not just accepting it without thinking !!!

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >
References